像素
GET https://olinke.com/api/pixels/
curl --request GET \
--url 'https://olinke.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name, pixel。 |
| type | 可选的 字符串 | 允许的值:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:pixel_id, datetime, last_datetime, name。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-04-17 13:49:26",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/pixels?page=1",
"last": "https://olinke.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/pixels?page=1"
}
}
GET https://olinke.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-04-17 13:49:26",
}
}
POST https://olinke.com/api/pixels
| 参数 | 细节 | 描述 |
|---|---|---|
| type | 必需 字符串 | 允许的值:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | 必需 字符串 | - |
| pixel | 必需 字符串 | - |
curl --request POST \
--url 'https://olinke.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://olinke.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/pixels/{pixel_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| type | 可选的 字符串 | 允许的值:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | 可选的 字符串 | - |
| pixel | 可选的 字符串 | - |
curl --request POST \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \